Investors, warrants & staking
Get Staking Report
Builds a flattened staking report: requests with grant, recipient, configuration, last unlock date and current unstaking request.
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-staking-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"statusFilters": [
"DRAFT"
]
}'[
{
"stakingRequestID": "string",
"stakingConfigurationID": "string",
"roleInOrgID": "string",
"stakingAmount": "string",
"stakingBalance": "string",
"stakingStartDate": "string",
"stakingStatus": "DRAFT",
"createdAt": "string",
"grantID": "string",
"updatedAt": "string",
"stakingDistributionID": "string",
"grant": {
"grantName": "string",
"grantID": "string",
"grantAmount": "string",
"vestingStartDate": "string",
"vestingPeriods": "string",
"lockups": [
{}
]
},
"stakingConfiguration": {
"stakingConfigurationID": "string",
"cooldownPeriod": 0,
"versionNumber": 0,
"maxStakePercentage": "string",
"stakingTypesEnabled": [
"UNVESTED_LOCKED_TOKENS"
]
},
"unstakingRequests": [
{
"unstakingRequestID": "string",
"stakingRequestID": "string",
"unstakingAmount": "string",
"unstakingDate": "string",
"createdAt": "string",
"updatedAt": "string",
"status": "DRAFT",
"roleInOrgID": "string"
}
],
"roleInOrg": {
"roleInOrgID": "string",
"roleInOrgExternalID": 0,
"person": {
"fullName": "string"
},
"externalEmployeeID": "string",
"employmentType": "string",
"country": "string"
},
"grantName": "string",
"grantAmount": "string",
"fullName": "string",
"roleInOrgExternalID": 0,
"employmentType": "string",
"externalEmployeeID": "string",
"country": "string",
"lastUnlockDate": "string",
"currentUnstakingRequest": {
"unstakingRequestID": "string",
"stakingRequestID": "string",
"unstakingAmount": "string",
"unstakingDate": "string",
"createdAt": "string",
"updatedAt": "string",
"status": "DRAFT",
"roleInOrgID": "string"
},
"maxStakePercentage": "string",
"stakingTypesEnabled": [
"UNVESTED_LOCKED_TOKENS"
],
"cooldownPeriod": 0,
"versionNumber": 0,
"startDate": "string",
"amount": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>statusFiltersstring[]Allowed: at most 20 items
Response
200Successful response
stakingRequestIDstringrequiredstakingConfigurationIDstringrequiredroleInOrgIDstringrequiredstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingBalancestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingStartDatestringrequiredstakingStatusstringrequiredAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED
createdAtstringrequiredgrantIDstringrequiredupdatedAtstringrequiredstakingDistributionIDstring | nullrequiredgrantobjectrequiredShow child attributes
grantNamestringrequiredgrantIDstringrequiredgrantAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
vestingStartDatestringrequiredvestingPeriodsstring | nullrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
lockupsobject[]requiredstakingConfigurationobjectrequiredShow child attributes
stakingConfigurationIDstringrequiredcooldownPeriodintegerrequiredversionNumberintegerrequiredmaxStakePercentagestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingTypesEnabledstring[]requiredunstakingRequestsobject[]requiredShow child attributes
unstakingRequestIDstringrequiredstakingRequestIDstringrequiredunstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
unstakingDatestringrequiredcreatedAtstringrequiredupdatedAtstringrequiredstatusstringrequiredAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED
roleInOrgIDstringrequiredroleInOrgobjectrequiredShow child attributes
roleInOrgIDstringrequiredroleInOrgExternalIDintegerrequiredpersonobjectrequiredShow child attributes
fullNamestringrequiredexternalEmployeeIDstring | nullrequiredemploymentTypestring | nullrequiredcountrystring | nullrequiredgrantNamestringrequiredgrantAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
fullNamestringrequiredroleInOrgExternalIDintegerrequiredemploymentTypestring | nullrequiredexternalEmployeeIDstring | nullrequiredcountrystring | nullrequiredlastUnlockDatestring | nullrequiredcurrentUnstakingRequestobjectShow child attributes
unstakingRequestIDstringrequiredstakingRequestIDstringrequiredunstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
unstakingDatestringrequiredcreatedAtstringrequiredupdatedAtstringrequiredstatusstringrequiredAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED
roleInOrgIDstringrequiredmaxStakePercentagestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingTypesEnabledstring[]requiredcooldownPeriodintegerrequiredversionNumberintegerrequiredrequestTypeanyrequiredstartDatestringrequiredamountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$